EFT Manager

Binary Stream's EFT Banking solution that integrates with

Microsoft Dynamics GP Receivables and Payables modules

Highlights

You can use EFT Manager with the following financial institutions:

  • Canadian financial institution that use the CPA 005 banking standard, such as HSBC, Laurentian Bank, Scotiabank, and American Express.

  • European financial institutions that use the Layout 128 format, such as ING Belgium.

C H M Footer Table
Binary Stream Portal Copyright © 2025 Binary Stream


EFT Manager - Release Notes

Release Notes Table
October 2025 Release
Build: 1401 D365 GP Version: 18.8
Upgrade

  1. Upgraded from GP 18.7 (Build 1301) to GP2018.8 (Build 1401)

Release Notes Table
October 2024 Release
Build: 1301 D365 GP Version: 18.7
Upgrade

  1. Upgraded from GP 18.5 (Build 1101) to GP2018.7 (Build 1301)

Release Notes Table
November 2022 Release
Build: 1101 D365 GP Version: 18.5
Upgrade

  1. Upgraded from GP 18.4 (Build 1001) to GP2018.5.

Release Notes Table
November 2021 Release
Build: 1001 D365 GP Version: 18.4
Upgrade

  1. Upgraded from GP 18.3 (Build 901) to GP2018.4.

Release Notes Table
January 2021 Release
Build: 901 D365 GP Version: 18.3
Upgrade

  1. Upgraded from GP 18.2 (Build 801) to GP2018.3.

Release Notes Table
January 2020 Release
Build: 801 D365 GP Version: 18.2
Upgrade

  1. Upgraded from GP 2018 R2 (Build 701) to GP 18.2 (Build 801).

Release Notes Table
July 2019 Release
Build: 701 D365 GP Version: 2018 R2
Upgrade

  1. Upgraded from GP 2016 R2 (Build 601) to GP 2018 R2 (Build 701).

Release Notes Table
November 2018 Release
Build: 601 D365 GP Version: 2016 R2
Upgrade

  1. Upgraded from GP 2015 R2 (Build 503) to GP 2016 R2.

Release Notes Table
August 2015 Release
Build: 503 D365 GP Version: 2015 R2
Upgrade

  1. Upgraded from GP 2015 (Build 502) to GP 2015 R2.


Issues and Limitations

The following list of known issues and limitations are in the current versions of EFT Manager:

Alternate/Modified Forms and Reports window

  • When you use this window to select to use the alternate window for any Binary Stream program, you can usually see which Microsoft Dynamics GP windows have alternate Binary Stream windows.

  • For example, when you set Product to BSSI EFT Manager, you can see all the modules and windows where you can select the Binary Stream window.

  • However, a known issue within Microsoft Dynamics GP prevents the list from showing all the windows where an alternate window for a program is available.

  • If you have multiple programs that have an alternate window for the same Microsoft Dynamics GP window and you have already selected the alternate window for one of the programs, the list of windows for a different program does not show all the current windows that have an alternate window.

  • For example, you have two Binary Stream programs installed, Multi-Entity Management and Property Management. In the Alternate/Modified Forms and Reports window, you already selected to use the alternate Multi-Entity Management window for the Receivables Transaction Entry window. When you set Product to Property Management, the Receivables Transaction Entry window does not appear in the list for you to select the alternate window.

  • To be able to see all windows for a particular program, in the Alternate/Modified Forms and Reports window, set Product to All Products. You can then expand the modules to see which windows have the alternate window you want to use.

Known GP Issue

Click to view full-size image.


EFT Manager Setup

After implementation, a system administrator (or system owner) typically takes over the day-to-day system and setup adjustments for the software in your Microsoft Dynamics GP environment.

Tip: As a best practice, make any changes to the setup options when all users are logged off. For example, notify all users a few days in advance indicating that changes to the system will be made and that the system is not available during that specified time frame.

Caution: Make sure that users do not enter transactions while you change setup options. If transactions are entered during the time you change the setup options, the integrity of the transaction data might be compromised.


Installing and Updating

A system administrator (or system owner) should install and configure the software in the Microsoft Dynamics GP environment. The procedure is as follows:

  1. Downloading the software files

  2. Extracting the files from the compressed (zipped) folder

  3. Installing the software in Windows

  4. Installing the program in Microsoft Dynamics GP

  5. Registering the software

  6. Enabling alternate forms and reports

  7. Setting up user access to forms and reports

  8. Setting up shortcuts to software windows


Alternate or Custom Windows

An alternate or custom window is a standard Microsoft Dynamics GP window that has additional boxes or buttons that are specific to a program that integrates with Microsoft Dynamics GP. When you use the alternate window to enter information specific to the program, the data is saved in the following tables:

  • Standard Microsoft Dynamics GP table

  • Binary Stream parallel table

For some windows, if an alternate window is not used, an extra window for the program opens so that you can enter specific data for the program.

To be able to use an alternate (or custom) window, the system administrator must select to use the alternate window in the Alternate/Modified Forms and Reports window.

Caution: If the alternate window is not used or the data integration is performed only to the Microsoft Dynamics GP table, data is not saved to the parallel table, which can compromise your data or cause functionality issues.

Notes:

  • If you are not able to use the correct window for EFT Manager, you cannot correctly enter and reuse data or use the functionality in EFT Manager.

  • For some third‑party programs , the alternate window for EFT Manager is not available due to conflicts. For programs commonly used with EFT Manager, an extra window option exists. In these cases, use the alternate window for the third-party program.

If an extra window does not exist, contact Binary Stream to discuss possible options.

Security for Alternate Windows

Ensure that you set security for all alternate windows for the modules that you use. If you do not set the security, data integrity and security issues might occur. For additional information on setting security, see Setting Up User Security.

Related Topics Link Icon Related Topics


Alternate or Custom Reports

An alternate or custom report is a standard Microsoft Dynamics GP report that has additional information that is specific to a program that integrates with Microsoft Dynamics GP. When you use the alternate report to display information specific to the program, the information is from the following tables:

  • Standard Microsoft Dynamics GP table

  • Binary Stream parallel table

You can use Report Writer to customize a standard Microsoft Dynamics GP report or a EFT Manager alternate report so that the report shows all the data you want to see.

To be able to use an alternate (or custom) report, the system administrator must select to use the alternate report in the Alternate/Modified Forms and Reports window.

Security for Alternate Reports

Ensure that you set security to all alternate reports for the modules that you use. If you do not set the security, data integrity and security issues might occur.

For information on setting security, see Setting Up User Security.

Related Topics Link Icon Related Topics


Extra Windows

An extra window is a secondary window that opens when a standard Microsoft Dynamics GP window is opened. You use the extra window to enter and save information for the transaction that is specific to the program. The information from the extra window is then saved in the parallel table and is used to create functionality.

Extra windows are used in the following situations:

  • The alternate window is assigned to another program.

  • Certain Microsoft Dynamics GP modules that are supported only use extra windows.

The extra window always opens when the standard Microsoft Dynamics GP window is opened. You can select OK to close the extra window. However, as a best practice, do not close the extra window directly. Instead, when you are finished with the main Microsoft Dynamics GP window, close it and the extra window will also close.

Note: Extra windows are not available for every alternate window - only windows in which conflicts occur.

Accessing the Extra Windows for All Binary Stream Programs

For the Microsoft Dynamics GP 2016 Web Client, Microsoft introduced a change such that only one Microsoft Dynamics GP window can be active at a time. So if you are not using the alternate window for the Binary Stream program, the extra window is not visible. Instead, the extra window is hidden behind the currently active window.

Use one of the following methods to access the Binary Stream extra window:

  • In the active window, select the Additional button, and then select the extra window you want to make active.

  • In the Web client Navigation pane, select the Window Search button, which opens the Search for a Form or Report window. In the search window, select the extra window you want to make active.

After you select the extra window, it becomes the active window and appears in front of the main Microsoft Dynamics GP window.

Security for Extra Windows

Ensure that you set security to all extra windows for the modules that you use. If you do not set the security, the extra window does not appear and data integrity and security issues might occur. For information on setting security, see Setting Up User Security.

Related Topics Link Icon Related Topics


Installation Overview

Requirements

To check if your computer meets all hardware and system requirements, review the following article in the Microsoft documentation: System Requirements for Microsoft Dynamics GP External link.

Installation Checklist

  1. Downloading the Installation Files

  2. Extracting the Installation Files

  3. Uninstalling the Previous Version of EFT Manager

  4. Exporting Modified Forms and Reports

  5. Installing within Windows

  6. Installing within GP

  7. Registering

  8. Importing Modified Forms and Reports

  9. Using Alternate Forms and Reports

  10. Setting Up User Security

Operational Checklist

EFT Manager does not require separate daily, monthly, and annual procedures. All data from EFT Manager is saved within the Microsoft Dynamics GP database. For information on how to perform daily, monthly, and annual procedures and database backups, see the Microsoft Dynamics GP documentation.


Download the EFT Installation Files

You can download the installation files from a compressed (zipped) folder from the Binary Stream Portal External link. The files that you download should have the following naming convention:

EFT_Install_GPvers_Build#_YYYYMMDD.zip, where GPvers = GP2018, and Build# = BLD501. Therefore an installation package's file name would be: EFT_Install_GP2018_BLD501_20180703.zip

To download the installation files, follow these steps:

  1. Go to the Binary Stream Portal External link.

  2. Select the link for Dynamics GP Portal, and log in with your Username and Password.

  3. On the Binary Stream GP Ticketing Center screen, select the Knowledge Base and Downloads link.

  4. On the screen that appears, you might have to log in again.

  5. In the navigation on the left, select Binary Stream Downloads to expand the tree, and then select the product you want.

  6. If you do not see the product you want, contact Binary Stream support at: gpsupport@binarystream.com Send Email

  7. From the list of files to download, select the compressed zipped folder you want.

  8. The file is automatically downloaded to your computer.


Extract the EFT Installation Files

fter you save the compressed (zipped) installation folder to your computer, you must extract the files to be able to run the installer (.msi) file to install the program.

To extract the installation files, follow these steps:

  1. In the File Explorer, go to the folder location where you saved the compressed (zipped) installation folder.

  2. Right-click the compressed (zipped) folder, and select Extract All.

The compressed (zipped) folder contains the following items:

EFT_GPvers_Setup.msi: The installer file for the Binary Stream program and the EULA. This installer is for a 64-bit operation system only.

Readme_EFT_GPvers.pdf: The Readme file updated for the latest build. Provides information on all enhancements and issues that were fixed in the release.

EFT_WebClient_HelpFiles.zip: The documentation for the Microsoft Dynamics GP web client. If this format is not available from the compressed (zipped) installation folder, you can access it on the Binary Stream Portal External link.


Exporting Modified Forms and Reports

Before you upgrade EFT Manager, you must export any modified forms and reports to a package file. After you finish upgrading EFT Manager, use the package file to import the modified forms and reports.

Note: It is important to export and then import the modified forms and reports so that you can continue using them without any issues or errors. If you do not export and import the modified forms and reports, you will experience issues. For example, you might see messages such as: Parameter type incompatible in user defined function call

Export Modified Forms and Reports

  1. In Microsoft Dynamics GP, open the Customization Maintenance window (Microsoft Dynamics GP > Tools > Customize > Customization Maintenance).

  2. Select the Product column header, which sorts the modified forms and reports by product name.

  3. Scroll down until you see the modified forms and reports for BSSI EFT Manager. If you do not see BSSI EFT Manager, you can stop at this step. You do not have any EFT modified forms and reports.

  4. Select all of the modified forms and reports for BSSI EFT Manager.

  5. Select Export.

  6. In the Please select a package file window, specify a name for the package file, and select Save.

  7. To confirm that the export was successful, check the status bar of the Customization Maintenance window.

  8. Close the Customization Maintenance window.

  9. Exit Microsoft Dynamics GP.

Rename Modified Forms and Report Dictionaries

  1. In the File Explorer, go to the folder where the EFT modified forms and reports dictionaries are saved. For example, C:\Program Files (x86)\Microsoft Dynamics\GP2013\Data.

  2. Find the EFT modified forms and reports dictionaries, which are usually named BS27FRMS.DIC and BS27RPTS.DIC, respectively.

    Note: If you do not have any EFT modified forms, you will not have a forms dictionary. Similarly, if you do not have any EFT modified reports, you will not have a reports dictionary.

  3. Rename the dictionaries. For example, add the word BACKUP - BS27FRMS_BACKUP.DIC and BS27RPTS_BACKUP.DIC.

After you export the modified forms and reports, and rename the dictionaries, you are ready to install EFT. After EFT is installed, you can then import the EFT modified forms and reports from the package file that you just exported.


Uninstall the Previous Version of EFT

When you upgrade EFT from a previous version, you must remove it in Windows before you run the installation file (.msi). By removing EFT, you ensure that any EFT application libraries are replaced with the most current versions.

Tip: For some Binary Stream programs, you can run the installer file (.msi) and you get the option of repairing or removing the program. If the installer file gives you the option to repair or remove EFT, select to remove the program. You can then skip these steps and advance to the next section for installing EFT. If you do not get the option, select Cancel to exit the installer and follow the instructions to uninstall EFT.

Also as a best practice before uninstalling EFT, back up your current environment, and rename the BS27.dic file.

  1. Back up your current Microsoft Dynamics GP environment, including all Microsoft Dynamics GP folders and databases.

  2. In the File Explorer, go to the GP<Version> folder and find the file named BS27.dic.

  3. Rename BS27.dic to a different name, for example BS27_BACKUP.dic.

  4. From the Start menu, open the Control Panel.

  5. In Programs, select Uninstall a program, which opens the Programs and Features window.

  6. In the list of programs, select the program you want to uninstall, and select Uninstall.

  7. Follow the prompts to finish uninstalling the program.


EFT Windows Installation

When you install EFT, you must run the installer (.msi) file on each individual server or client computer that has Microsoft Dynamics GP installed.

Installing EFT Manager

To install EFT within Windows, follow these steps:

  1. In the File Explorer, go the folder where you extracted the installation files, and double-click EFT_GPvers_Setup.msi.

  2. On the first page of the Installation Wizard, select Next to proceed with the installation.

  3. Read the License Agreement, select I Agree, and select Next.

  4. In the Select Installation Folder window:

    • In Folder, select the folder where Microsoft Dynamics GP is installed. If you installed Microsoft Dynamics GP to the default location, you do not have to change the value in this box.

    • To allow anyone using the computer to use EFT, select Everyone.

  5. Select Next.

  6. In the Confirm Installation window, select Next. The installation can take a few moments.

  7. When the installation finishes, select Close.

After the installation is complete, you can find the following files in the GPVersion folder.

  • BS27.cnk: After you start GP, this file is converted to BS27.DIC.

  • BSSI EULA Modified.rtf: This file is your End-User License Agreement.

  • EFT.chm: This file is the documentation for the Windows client version of Microsoft Dynamics GP.

Note: Some products do not have this format of documentation. In these cases, only a PDF file of the documentation is available.

If a Web client format of the documentation is available, the installer file copies it to the following folder: Microsoft Dynamics\GP Web Components\GPweb\Help\EFT. Remember, not all BSSI programs have a .chm file. If the program has a .chm file, the Web client documentation might be available as well.


EFT Dynamics GP Installation

After the software is installed in Windows, you must complete the installation by installing the software in Microsoft Dynamics GP. When you restart Microsoft Dynamics GP, the BSSI software chunk file is automatically run at the same time, and starts the BSSI Installation Wizard.

Install EFT in Microsoft Dynamics GP

  1. Install the new code in the GPVersion folder. You must perform this activity on each computer that ran the installation file.

  2. Install or update EFT in each company (database) that you want to use it in. You must perform this activity on only one computer (usually the server computer) where you ran the EFT installation file.

Note: To install third-party software that integrates with GP, always log on with the system administrator (sa) user account.

Install the Software in Microsoft Dynamics GP

  1. Start GP, and log on with the system administrator (sa) account.

  2. The Dexterity Runtime dialog box appears with the following message: "New code must be included in the Dynamics.set dictionary. Do you wish to include new code now?"

  3. To include the new code, select Yes.

Update the Microsoft Dynamics GP Database

  1. After the new code is installed to Microsoft Dynamics GP, the logon window appears. Log on to Microsoft Dynamics GP with the system administrator (sa) user account.

  2. When you see the BSSI Installation Wizard, select Next.

  3. In the BSSI System Install window, for each company database that you want to use EFT select the Install check box.

    System Install Window

    Click to view full-size image.

  4. After you select all the company databases that you want, select Next, which starts the installation.

    • For a new installation, the installation can take a few minutes to complete.

    • For an upgrade, the installation can take a few minutes or a few hours, depending on the number and size of each database that you are updating.

  5. You can see the progress bar on the BSSI Installation Wizard for the status of the installation process.

Tip: If you want to access the BSSI Installation Wizard at another time, create a shortcut to the BSSI Installation Wizard window in the Navigation pane on your Microsoft Dynamics GP home page.

Note: If other users have problems accessing the third-party software, run a Grant.sql script to give the users access to all third-party software.


Register EFT Manager

After the program is installed in Microsoft Dynamics GP, the BSSI Registration window appears. You use the BSSI Registration window to type your registration key and activate the program. If you do not have a registration key, contact Binary Stream for assistance.

Note: If you use EFT with the sample database (Fabrikam), you do not need a registration key.

Register EFT Manager

  1. If the BSSI Registration window is not open, in Microsoft Dynamics GP, select Tools > Setup > System > Binary Stream Registration.

  2. Enter the registration key as follows:

    • For new customers with permanent keys, type the registration key value in Permanent Keys.

    • For demonstration users with trial keys, type the registration key value in Trial Keys.

    • For Microsoft Services Providers License Agreement (SPLA) users with SPLA keys, type the registration key value in Trial Keys.

  3. Check that Site Name shows your company name.

    Click to view full-size image.

  4. If you have Trial Keys, you can complete this optional step.

    1. Select Notification Setup, which opens the User/Reg Key Notification Setup window.

    2. You can set the Number of Days before the trial key expiration date to notify each user. By default, all users are notified 30 days before the expiration date.

      • If you want all users to have the same number of days' notice, in Default Number of Days, specify the number of days' notice. The list is updated so that all user IDs have the same value in the Number of Days column.

      • If you want each user to have different number of days' notice, in the list, specify the Number of Days for each User ID.

        Default Number of Days

    Note: If the Number of Days for a user is set to zero (0), the trial key expiry warning does not appear for the specific user.

  5. To complete the registration, select OK.

  6. When the registration is completed, log off of Microsoft Dynamics GP, and log back on again.

Tip: If you want to access the registration at another time, create a shortcut to the BSSI Registration window in the Navigation pane on your Microsoft Dynamics GP home page.


Importing Modified Forms and Reports

Prerequisites

Before you upgrade EFT, you must export any EFT modified forms and reports to a package file. After you finish upgrading EFT, use the package file to import the modified forms and reports.

Note: It is important to export and then import the modified forms and reports so that you can continue using them without any issues or errors. If you do not export and import the modified forms and reports, you will experience issues. For example, you might see messages such as: Parameter type incompatible in user defined function call

Before you can import the modified forms and reports, you must have already completed the following activities:

  • Exporting Modified Forms and Reports

  • Installing EFT Manager within Windows

  • Installing EFT Manager within Microsoft Dynamics GP

Import Modified Forms and Reports

  1. Start Microsoft Dynamics GP.

  2. Open the Customization Maintenance window (Microsoft Dynamics GP > Tools > Customize > Customization Maintenance).

  3. Select the Product column header, which sorts the modified forms and reports by product name.

    • If you successfully renamed the dictionary files, you should not see any EFT modified forms and reports as you scroll through the Customization Maintenance window.

    • If you do see some, go back to the steps where you renamed the dictionary files, and try again.

  4. Select Import.

  5. On the Import Package File window, select Browse.

  6. Go to the folder location where you saved the package file, select it, and select Open. In the Import Package File window, you should see the EFT modified forms and reports that you are about to import.

  7. To import the package file, select OK.

  8. To confirm that the import was successful, check the status bar of the Customization Maintenance window.

  9. In the Customization Maintenance window, select the Product column header, and scroll down until you see the modified forms and reports for BSSI EFT Manager. You should see the EFT modified forms and reports that you just imported.

For more information on importing and exporting package files, see the Microsoft Dynamics GP documentation.


Using Alternate Forms and Reports

Prerequisite

To be able to use the windows and reports from EFT Manager in the Microsoft Dynamics GP modules that you have purchased and registered, you must enable the alternate EFT window and reports.

Using Alternate Forms and Reports

  1. In Microsoft Dynamics GP, open the Alternate/Modified Forms and Reports window (Microsoft Dynamics GP > Tools > Setup > System > Alternate/Modified Forms and Reports).

  2. Specify an ID and Description for the set of alternate forms and reports that you are creating for your users. For example, in ID, type EFT_USER and in Description, type Alternate forms and reports for EFT.

  3. In Product, select BSSI EFT Manager.

    Info: A known issue within Microsoft Dynamics GP prevents the list from showing all the windows where an alternate window for a program is available. For more information, review the Known Issues and Limitations.

  4. To use the EFT alternate forms instead of the Microsoft Dynamics GP version, do the following:

    1. In Type, select Windows.

    2. To display windows for a particular Microsoft Dynamics GP series, in Series, select the series you want to see.

    3. In Alternate/Modified Forms and Reports List, expand each Microsoft Dynamics GP series name, and then expand the window name.

    4. For each window where you want to use the EFT alternate form instead of the Microsoft Dynamics GP version, select the BSSI EFT Manager option. For example, select the EFT alternate version of the window in the selected Microsoft Dynamics GP series.

      Tip: To change to use all EFT alternate forms in a single action, set the Select box to BSSI EFT Manager, and then select Change All.

  5. To use the EFT alternate reports instead of the Microsoft Dynamics GP version, repeat the previous step with Type set to Reports.

  6. For example, select the EFT alternate version of the report in the selected Microsoft Dynamics GP series.

  7. When you are finished, select Save.

  8. Repeat these steps for each Microsoft Dynamics GP series for which you purchased the corresponding module.


User Security

For all users, except the system administrator (sa), you must set up a security task and a security role that gives user access to custom EFT Manager windows (forms) and reports. To set up security for a custom window, complete the following activities:

  • Create a security task.

  • Create a security role to allow access to the security task.

  • Assign a security role to a user.

Creating a Security Task

  1. Open the Security Task Setup window (Microsoft Dynamics GP > Tools > Setup > System > Security Tasks).

  2. If you are asked for your password, type your password and select OK.

  3. In the Security Task Setup window, specify a Task ID, Task Name, and Task Description. For example, you could type EFT_TASKS in all three boxes.

  4. In Category, select Project.

  5. In Product, select BSSI EFT Manager.

  6. In Type, select Windows.

  7. In Series, select Project.

  8. Select Mark All to select all of the window titles in the Access List.

  9. If you do not want the task ID to have access to certain windows, clear the check box for the window name.

  10. In Type, change the value to Reports, and in Series, select Project.

  11. Select Mark All to select all of the report titles in the Access List.

  12. If you do not want the security task ID to have access to certain reports, clear the check box for the report name.

  13. Select Save.

Creating a Security Role

To help facilitate the process of creating security roles, some security roles are automatically created with your EFT Manager installation:

  1. Open the Security Role Setup window (Microsoft Dynamics GP > Tools > Setup > System > Security Roles).

  2. If you are asked for your password, type your password and select OK.

  3. In the Security Role Setup window, specify a Role ID, Role Name, and Role Description. For example, you could type EFT_ROLE in all three boxes.

  4. In the list, select the Security Task ID that you created (for example, EFT_TASKS).

  5. Select Save.

Assigning a Security Role to a User

  1. Open the User Security Setup window (Microsoft Dynamics GP > Tools > Setup > System > User Security).

  2. If you are asked for your password, type your password and select OK.

  3. In the User Security Setup window, select a User ID.

  4. Select a Company name.

  5. Under Roles, select the Security Role ID that you created (for example, EFT_ROLE).

  6. In Alternate/Modified Forms and Reports ID, select the alternate forms and reports ID you created.

  7. Select Save.

  8. Repeat these steps for all users and companies that use EFT.


Add Windows Shortcuts

You can set up shortcuts to EFT windows in the Microsoft Dynamics GP Navigation Pane.

  1. On the upper-right corner of the Microsoft Dynamics GP window, select Layout, and select Navigation Pane to show the Navigation pane on the left side of the main window.

  2. In the Navigation pane, expand the Shortcuts folder so you can see the items below it.

  3. Right-click the Shortcuts folder and select Add > Folder.

  4. A folder named New Folder appears below the Shortcuts folder.

  5. Rename the new folder, by right-clicking it and selecting Rename.

  6. For example, rename the folder to AltName.

  7. Right-click on the new folder and select Add > Add Window.

  8. In the Add Window Shortcut window, in the Available Windows list, expand the BSSI EFT Manager node to show all of the Microsoft Dynamics GP series.

  9. For each EFT window to which you want to add a shortcut, do the following:

  10. Expand the series node.

  11. Select the window name.

  12. Select Add.

  13. When you have finished adding shortcuts, select Done.

  14. Go to the Navigation pane, and expand the new folder to see the window shortcuts you added.

Tip: For system administrators, it is useful to add shortcuts to the BSSI Installation Wizard, BSSI Registration, and the BSSI About Box windows. When you add a shortcut for a window, you can find these windows under the BSSI EFT Manager node, and then under the Project series.

If you already have a window open, you can create a shortcut directly from the open window:

  1. Select the window.

  2. From File, select Add to Shortcuts. The new shortcut appears under the root folder of the Navigation pane.

  3. Drag the shortcut to the folder where you want the shortcut to appear.

Note: After you update the software, you might have to recreate your shortcuts.


Implement EFT Manager

Only a qualified and experienced Microsoft Dynamics GP consultant should work with you to integrate EFT Manager with your Microsoft Dynamics GP environment, data, and processes.

Typical implementation tasks include the following:

  • Setting up a test system

  • Installing and configuring the software

  • Importing data

  • Setting up users, security, and other options

  • Testing your scenarios

  • Going live with your production database

  • Training end users and on-site system administrators

Implementation Services

If your authorized reseller cannot help you with your integration, contact Binary Stream Software for integration and training services.


Remove Program Information in Dynamics GP

When you remove EFT, you must also remove the product information and dictionaries in Microsoft Dynamics GP.

  1. Exit Microsoft Dynamics GP.

  2. Open the File Explorer, and go to the folder where Microsoft Dynamics GP is installed. For example, C:\Program Files (x86)\Microsoft Dynamics\GP2016.

  3. Make a backup of the DYNAMICS.SET file.

  4. Open DYNAMICS.SET in a text editor (for example, Notepad).

  5. Select and delete the following two lines in the top section of the file:

    • The line with the product name: BSSI EFT Manager.

    • The line with the product number, which is above the line with the product name. The product number is 5134.

  6. Select and delete the three lines in the lower section of the file that have the following file names: BS27.DIC, BS27FRMS.DIC, and BS27RPTS.DIC. For example:

    • :C:Program Files (x86)/Microsoft Dynamics/GPVersion/BS27.DIC

    • :C:Program Files (x86)/Microsoft Dynamics/GPVersion/Data/BS27FRMS.DIC

    • :C:Program Files (x86)/Microsoft Dynamics/GPVersion/Data/BS27RPTS.DIC

  7. Go to the first line of the DYNAMICS.SET file. This line has a number that represents the number of installed products in GP. Decrease that number by 1. For example, if the number is 42, change it to 41.

  8. Save the changes to DYNAMICS.SET, and exit the text editor.

EFT is completely removed from Microsoft Dynamics GP.


Remove EFT Manager in Windows

  • When you remove EFT from Microsoft Dynamics GP, you must also remove it from Windows.

  • If you are updating EFT, you must remove it from Windows before you run the new installer (.msi) file in the system.

  1. Open the Windows Control Panel, and select Uninstall a program.

  2. In the Programs and Features window, in the list of installed programs, select the program you want to uninstall.

  3. Select Uninstall.

The Uninstall wizard runs, and when it completes, EFT is removed from Windows.


Setup an EFT Checkbook (Payables)

Use these instructions to set up a checkbook for EFT and the file format for your EFT payment file:

  1. Open the Checkbook Maintenance window (Cards > Financial > Checkbook).

  2. Select a Checkbook ID.

  3. Set up a wire payment or an American Express payment:

    • Select Wire Payment to use the HSBC format type and to create an EFT payment file with the HSBCnet file format.

    • Leave Wire Payment cleared to create an EFT payment file with the EFT payment file format.

    • Select American Express to set up payment through American Express.

    • When you select this option, use the Amex Setup window to complete the payment details.

  4. Select EFT Bank, which opens the Checkbook EFT Bank Maintenance window.

  5. Specify a Transit Routing Number:

    • For vendors who use HSBC or Bank of Montreal, specify the five-digit transit number followed by the three-digit bank number.

    • For vendors who use CP-005 (Scotia Bank, ATB, Capital City, and Desjardins), specify the three-digit bank number followed by the five-digit transit number.

  6. Select Payables Options, which opens the Checkbook EFT Payables Options window.

  7. Select Use EFT Numbers.

  8. Select the Single Format expansion button, which opens the EFT File Format Maintenance window.

  9. Specify the EFT Format ID, and specify a Description.

  10. Select the Format Type for the bank group (HSBC, Scotiabank, US-NACHA, and so on).

  11. Complete the boxes on the EFT File Format Maintenance window based on the Format Type you selected:

    • HSBC - follow the instructions for the HSBC Bank for entering bank-specific information.

    • CPA 005, Scotiabank, ATB, Capital City Savings, and Desjardins - follow the CPA 005 Standard instructions for entering bank-specific information.

    • ING Belgium - this bank group uses Layout 128.

  12. Select Save, and then close the EFT File Format Maintenance window.

  13. In the Checkbook EFT Payables Options window, select the options you want, enter the Default Output Files, and select Generate Prenotes.


Setup a Vendor (Payables)

Use these instructions to set up a vendor for EFT transmissions:

  1. Open the Vendor Maintenance window (Cards > Purchasing > Vendor).

  2. If you are completing the record for ING Belgium (Layout 128 format) transaction, complete the following boxes:

    • Account Number

    • BIC/SWIFT

    • Language Code

    • Country Code

  3. Select Options, which opens the Vendor Maintenance Options window.

  4. In Checkbook ID, select the checkbook ID that is set up for EFT, and select OK.

  5. In the Vendor Maintenance, select Address, which opens the Vendor Address Maintenance window.

  6. Select EFT Bank, which opens the Vendor EFT Bank Maintenance window.

  7. Specify a Transit Routing Number:

    • For vendors who use HSBC or Bank of Montreal, specify the five-digit transit number followed by the three-digit bank number.

    • For vendors who use CP-005 (Scotia Bank, ATB, Capital City, and Desjardins), specify the three-digit bank number followed by the five-digit transit number.

  8. Select OK.


Send a Payment (Payables)

To send an EFT payment for payables, follow these steps:

  1. Open the Payables Transaction Entry (Transactions > Purchasing > Transaction Entry).

  2. Post a transaction with a Vendor ID.

  3. In Microsoft Dynamics GP 2016 R2 and earlier:

    1. Open the Select Payables Checks window (Transactions > Purchasing > Select Checks).

    2. Build a batch, edit the checks, and then print and post the payables checks.

      • For an HSBC wire payment, set One Check Per to Invoice to get the transaction description (Comment box on the Edit Payables Checks window) for each invoice.

      • For American Express of Standard ACH, set One Check Per to Invoice to get the Amex number (Description box on the Payables Transaction Entry window) for each invoice.

      • For ING Belgium, set One Check Per to Invoice to get the document number (Document Number box on the Payables Transaction Entry window) for each invoice.

  4. In Microsoft Dynamics GP 2018 and newer:

    1. Open the Build Payment Batch window (Transactions > Purchasing > Build Payment Batch).

    2. Build a batch, edit the checks, and then print and post the payment.

      • For an HSBC wire payment, set One Check Per to Invoice to get the transaction description (Comment box on the Edit Vendor Payment window) for each invoice.

      • For American Express of Standard ACH, set One Check Per to Invoice to get the Amex number (Description box on the Payables Transaction Entry window) for each invoice.

      • For ING Belgium, set One Check Per to Invoice to get the document number (Document Number box on the Payables Transaction Entry window) for each invoice.

  5. Open the Generate EFT Files window (Transactions > Purchasing > Generate EFT File).

    Note: Only one batch can be managed at a time.

  6. Select Generate EFT File, which creates an EFT file in the format that you specified on the EFT File Format Maintenance window.


Setup an EFT Checkbook (Receivables)

  1. Use these instructions to set up a checkbook for EFT and the file format for your EFT payment file:

  2. Open the Checkbook Maintenance window (Cards > Financial > Checkbook).

  3. Select a Checkbook ID.

  4. Select EFT Bank, which opens the Checkbook EFT Bank Maintenance window.

  5. Select Receivable Options, which opens the Checkbook EFT Receivables Options window.

  6. Select a Bank Group: HSBC or Scotiabank.

  7. Select the Single Format expansion button, which opens the EFT File Format Maintenance window.

  8. Specify the EFT Format ID, and specify a Description.

  9. Complete the boxes on the EFT File Format Maintenance window based on the Format Type you selected:

    1. HSBC - follow the instructions for the Bank of Montreal for entering bank-specific information.

    2. CPA 005, Scotiabank, ATB, Capital City Savings, and Desjardins - follow the CPA 005 Standard instructions for entering bank-specific information.

  10. Select Save, and then close the EFT File Format Maintenance window.

  11. In the Checkbook EFT Payables Options window, select the options you want, enter the Default Output Files, and select Generate Prenotes.


Setup a Customer (Receivables)

To set up a customer for EFT transmissions, follow these steps:

  1. Open the Customer Maintenance window (Cards > Sales > Customer).

  2. Select Address, which opens the Customer Address Maintenance window.

  3. Select EFT Bank, which opens the Customer EFT Bank Maintenance window.

  4. Specify a Transit Routing Number:

    • For customers who use HSBC or Bank of Montreal, specify the five-digit transit number followed by the three-digit bank number.

    • For customers who use CP-005 (Scotia Bank, ATB, Capital City, and Desjardins), specify the three-digit bank number followed by the five-digit transit number.

  5. Select OK.


Send a Payment (Receivables)

When using EFT Manager with the Microsoft Dynamics GP Receivables Management module, transactions must be posted using the Receivables Batch Entry window (Transactions > Sales > Receivables Batches). EFT Manager does not work with other windows when posting receivable transactions.

To send an EFT payment for receivables, follow these steps:

  1. Open the Cash Receipts Entry window (Transactions > Sales > Cash Receipt).

  2. Note the Check/Card Number and the Comment for the EFT (Additional > EFT Payment or Ctrl+E).

  3. Select Post to post the receipt.

  4. Open the Generate EFT Files window (Transactions > Sales > Generate EFT File).

  5. Select Generate EFT File, which creates an EFT file in the format that you specified on the EFT File Format Maintenance window.


Maintenance

Checkbook Maintenance

Location: Cards > Financial > Checkbook

Use this window to set up the American Express payment options. This window is available when you select American Express on the Checkbook Maintenance window.

American Express

Select to set up payment through American Express. When you select this option and on the EFT File Format Maintenance window set the Format Type to US – NACHA-PPD, US – NACHA-PPD+, NACHA-CCD, or NACHA-CCD+, two files are created: one ACH file and one American Express file.

Wire Payment

  • Select this option to use the HSBC format type and to create an EFT payment file with the HSBCnet file format.

  • Clear this option to create an EFT payment file with the EFT payment file format.

Amex Setup: Opens the Amex Setup window (see below)

Amex Maintenance

Location: Cards > Financial > Checkbook > Amex Setup button

Use this window to set up the American Express payment options. This window is available when you select American Express on the Checkbook Maintenance window.

AMEX Transaction File: Select the path where the American Express file is to be saved.

Book Number: Specify the four-character identifier assigned by American Express. This number is assigned at the time of setup.

Checkbook ID: Displays the checkbook ID from the Checkbook Maintenance window.

CID: Specify the unique six-digit number assigned by American Express.

File Sequence Number: Select the numeric sequence of files sent by company. The first file contains 01, the second 02, and so on. At the hundredth file, the counter rolls back to 01.

Load Number: Specify the unique 10-digit number assigned by the American Express Company. The 15-digit American Express card number is then automatically entered in the Description on the Payables Transaction Entry window. You must use a correct and valid 15-digit American Express card number.

Remittance MSG Code: Select one of the dollowing the remittance message codes:

  • Corporate Remittance Received

  • Corporate Deduction of Credit Bal

  • Proceeds of Expense Voucher

  • Debit Remit for Airline Credit

  • Adjustment

Test File Indicator: Select either Test File or Production File.

OK: Saves any changes, and closes the window.

Cancel: Cancels all changes and closes the window.

ETF Maintenance

Location: Financial > Cards > Financial > EFT File Format

Use this EFT Manager alternate window to set up the file format for EFT. For a full description and more information on this window, see the Microsoft Dynamics GP documentation.

Bank Name: Select a bank name fro mthe following options:

  • HSBC

  • Bank of Montreal

  • CPA 005

  • Scotiabank

  • ATB

  • Capital City

  • Desjardins

When Bank Name is CPA 005, Scotiabank, ATB, Capital City Savings, or Desjardins, the following option will be available:

Bank Account Number: Specify the bank account number.

Destination Data Centre: Specify the name for the destination data center.

Transaction Type: Specify the transaction type.

When Bank Name is HSBC, the following options will be available:

Account with Institution: Specify the bank index number for the account. Required for HSBCnet. Available when setting this window up for payables. This index contains information about the financial institution that holds the account of the beneficiary.

Bank Code: Specify the HSBC three-digit bank code.

Currency ID: Specify the currency ID. This value is used for displaying currency.

When the bank is ING Belgium, the following options will be available:

Bank Account Number: Specify the bank account number.

Charges Code: Select a charge code.

Currency ISO: Specify the currency ISO.

International Transaction: Select to indicate the transaction is an international transaction. When this option is cleared, the transaction is a domestic transaction.

Language Code: Select a language code.

Object of Payment: Select an object of payment.

Sender’s ID Number: Specify the ID number for the sender.

Type Code: Select the type code.

Vendor Maintenance

Location: Cards > Purchasing > Vendor

Use this EFT Manager alternate window to set up a vendor for EFT. For a full description and more information on this window, see the Microsoft Dynamics GP documentation.

Account Number: Specify the account number in IBAN format. Available for ING Belgium.

BIC/SWIFT: Enter a BIC/SWIFT code. Available for ING Belgium.

Country Code: Specify the country code . Required for ING Belgium (Layout 128 format) transactions.

Language Code: Select a language code. Available for ING Belgium.


Buttons and Controls

This is a reference guide to the butrons and controls used in EFT Manager. For more information on standard features that are used in the windows throughout Microsoft Dynamics GP, see the article named Common window elements in the Microsoft Dynamics GP documentation.

Table Caption
Button | Icon | Description
Cancel | Cancel Icon | Closes the window without saving any changes.
Clear | Clear Icon | Clears all boxes in the window.
Copy | Copy Icon | Copies the selected data, or all data in the window, to the clipboard.
Delete | Delete Icon | Removes the current record from its associated table, or deletes the current record.
Expansion | Expansion Icon | Opens the expansion window associated with the field or option.
Find |  | Opens the associated find window.
Lookup | Lookup Icon | Opens the associated Lookup window for a field.
Note | Note Icon | Opens the associated note window for a field.
OK | OK Icon | In a setup window, saves the data to its associated table. In an Inquiry, closes the window.
Print | Print Icon | Prints the report associated with the window.
Refresh | Refresh Icon | Updates the view of the contents in the window.
Save | Save Icon | In a Cards or Maintenance window, saves the data or record to its associated table.


File Formats

Receivables

The following file formats are supported by EFT Manager for receivables:

  • HSBC (ASCII file format)

  • Scotiabank (the follow is an example of data within the file)

    Table Caption
    Scotiabank Sample Data
    A000000001COM ID 00260072562222
    D000000002COM ID 0026222000005432101710206666666644444444 0000000000000000000000000
    SMALL_TEST Adam Park Resort
    BANK_TEST COM ID ADAMPARK0001 088888888312345 00000000000
    Z000000003COM ID 00260000000005432100000001000000000000000000000000000000000000000000000000000000000000000000

Payables

American Express format

Sample data
American Express Sample Data
00COM ID 20080626180519664400TT03 10+000000012333123456789012345 01 99 000000012333000001 000000000000000000

HSBC

(ASCII file format), HSBCnet

Sample data
HSBC Sample Data, Wire Payment not selected
"A","COM ID ","0047","11/29/2007","CAD"
"P","ADVANCED0001 ","067812345","123456789 ","0000012333","11/29/2007","ADVANCED OFFICE SYSTEMS ","888999999999",""
"Z","00000001","00000000012333"
Sample data
HSBC Sample Data, Wire Payment selected
:20:COM ID \n :23B:CRED \n :32A:071023USDSMA00000123,33 \n :33B:USDSMA00000123,33 \n :50K:/888999999999
Fabrikam, Inc. \n 4277 West Oak Parkway \n :57A:/ HKBCCAT \n :59:/0678123451234567
ADVANCED OFFICE SYSTEMS \n 678 Sherwood Park South \n :70:COMMENTS 123 \n :71A:OUR

Scotiabank, ATB, Capital City, Desjardins

Sample data
Scotiabank, ATB, Capital City, Desjardins Sample Data
01 0212040730001011008 000310177398841Fabrikam, Inc. 2 5 1
10001 ES9720381179 4000Advanced Office Systems 2 00000000000000550 3
9 1 1 4000 188777636534

Layout 128

for a Domestic Transaction

Sample data
Layout 128 Domestic Sample Data
01 0212040730001011008 000310177398841Fabrikam, Inc. 2 5 1
10001 ES9720381179 4000Advanced Office Systems 2 00000000000000550 3
9 1 1 4000 188777636534

Layout 128

for an International Transaction

Sample Data
Layout 128 International Sample Data
0120417 30051 887776365 887776365 3 1
1000101041108 EUR D 10000 EUR 310177398841
1000104 CAHMESMM 1
1000106ES972038117941600481996 Advanced Office Systems US
1000107 TESTDOC1-1
1000110 OUR EUR US
9 1 1 10000